/**
 * Copyright 2008 Bluestem Software LLC
 *   
 * All Rights Reserved. Bluestem Software LLC licenses this file
 * to you under the Ext EOA Specification License Agreement [1]. You
 * may not use this file except in compliance with the License. You
 * may obtain a copy of the License at:
 * 
 * [1] http://alakai.org/licensing/specification-eoa-ext-license.html
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.bluestemsoftware.specification.eoa.ext.binding.soap.rt;

import org.bluestemsoftware.specification.eoa.component.RootComponent.ComponentName;
import org.bluestemsoftware.specification.eoa.ext.binding.BindingFactory;

/**
 * Models a <code>BindingRT</code> component which binds SOAP 1.2 to the HTTP
 * transmission protocol at runtime.
 */
public class SOAP12HTTPBindingRT extends SOAPHTTPBindingRT {

    /*
     * (non-Javadoc)
     * 
     * SPI
     */
    public interface Provider extends SOAPHTTPBindingRT.Provider {
    }

    public SOAP12HTTPBindingRT(BindingFactory factory, Provider provider, ComponentName componentName, String protocolType) {
        super(factory, provider, componentName, protocolType);
    }
    
}
