/**
 * Copyright 2008 Bluestem Software LLC
 *   
 * All Rights Reserved. Bluestem Software LLC licenses this file
 * to you under the Ext EOA Specification License Agreement [1]. You
 * may not use this file except in compliance with the License. You
 * may obtain a copy of the License at:
 * 
 * [1] http://alakai.org/licensing/specification-eoa-ext-license.html
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.bluestemsoftware.specification.eoa.ext.feature.auth.cstore;


public final class Credential {

    private String userName;
    private Password password;

    public Credential(String userName, Password password) {
        if (userName == null) {
            throw new IllegalArgumentException("userName null");
        }
        if (password == null) {
            throw new IllegalArgumentException("password null");
        }
        this.userName = userName;
        this.password = password;
    }

    /**
     * Returns user name, which MUST be unique within context of realm.
     * @return
     */
    public String getUserName() {
        return userName;
    }

    /**
     * Gets password.
     * @return password
     */
    public Password getPassword() {
        return password;
    }
   
}
