/**
 * Copyright 2008 Bluestem Software LLC
 *   
 * All Rights Reserved. Bluestem Software LLC licenses this file
 * to you under the Ext EOA Specification License Agreement [1]. You
 * may not use this file except in compliance with the License. You
 * may obtain a copy of the License at:
 * 
 * [1] http://alakai.org/licensing/specification-eoa-ext-license.html
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.bluestemsoftware.specification.eoa.ext.feature.auth.cstore;

/**
 * A password which MAY be stored as clear text or encrypted. Note that if password is used to
 * perform authentication on users of this system exclusively, password SHOULD be encrypted
 * using a one-way encryption algorithm, e.g. MD5, i.e. as opposed to manifesting password as
 * clear text.
 */

public interface Password {

    /**
     * Checks supplied credential against this password instance. Note that it is
     * responsibility of implementer to manage context classloader as appropriate.
     * 
     * @param password
     * @return true if same, false if not
     */
    public boolean check(Object credential);

}
