/**
 * Copyright 2008 Bluestem Software LLC
 *   
 * All Rights Reserved. Bluestem Software LLC licenses this file
 * to you under the Ext EOA Specification License Agreement [1]. You
 * may not use this file except in compliance with the License. You
 * may obtain a copy of the License at:
 * 
 * [1] http://alakai.org/licensing/specification-eoa-ext-license.html
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.bluestemsoftware.specification.eoa.ext.feature.http.server;

import org.bluestemsoftware.specification.eoa.ext.feature.auth.jaas.LoginCredentials;


/**
 * Models response sent by client in response to an HTTP 401 authentication challenge. Used by
 * <code>HTTPServerFeature</code> to authenticate client.
 * <p>
 * Note that it is responsibility of implementer to manage context classloader as appropriate.
 */
public interface HTTPAuthenticationResponse extends LoginCredentials {
    
    /**
     * Returns realm to which response applies.
     * @return String
     */
    public String getRealm();

}
