/**
 * Copyright 2008 Bluestem Software LLC
 *   
 * All Rights Reserved. Bluestem Software LLC licenses this file
 * to you under the Ext EOA Specification License Agreement [1]. You
 * may not use this file except in compliance with the License. You
 * may obtain a copy of the License at:
 * 
 * [1] http://alakai.org/licensing/specification-eoa-ext-license.html
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.bluestemsoftware.specification.eoa.ext.feature.ws.addressing.soap.fault;

import java.util.Arrays;
import java.util.List;

import javax.xml.namespace.QName;

import org.bluestemsoftware.specification.eoa.ext.binding.soap.SOAPVersion;
import org.bluestemsoftware.specification.eoa.ext.feature.ws.addressing.WSA;

public class DuplicateMessageIDFault extends InvalidHeaderFault {
    
    private static final long serialVersionUID = 1L;
   
    public DuplicateMessageIDFault(SOAPVersion soapVersion, String namespace) {
        super(soapVersion, namespace, WSA.MESSAGE_ID);
    }
    
    @Override
    public List<QName> getFaultSubCodes() {
        return Arrays.asList(faultName, new QName(namespace, "DuplicateMessageID"));
    }

}
