/**
 * Copyright 2008 Bluestem Software LLC
 *   
 * All Rights Reserved. Bluestem Software LLC licenses this file
 * to you under the Ext EOA Specification License Agreement [1]. You
 * may not use this file except in compliance with the License. You
 * may obtain a copy of the License at:
 * 
 * [1] http://alakai.org/licensing/specification-eoa-ext-license.html
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.bluestemsoftware.specification.eoa.ext.feature.ws.mtom;

import org.bluestemsoftware.specification.eoa.component.intrface.rt.MessageModule;
import org.w3c.dom.Document;
import org.w3c.dom.Element;

/**
 * An empty module, the presence of which indicates that MTOM was used to decode associated
 * request. If present, MTOM MUST be used to encode response, i.e. using version implied by
 * {@link MessageModule#getNamespace()}.
 */
public final class WSMTOMMessageModule extends MessageModule {
    
    public static final String TYPE = WSMTOMMessageModule.class.getName();

    private String namespace;
    
    public WSMTOMMessageModule(String namespace) {
        if (namespace == null) {
            throw new IllegalArgumentException("namespace null");
        }
        this.namespace = namespace;
    }

    /*
     * (non-Javadoc)
     * @see org.bluestemsoftware.specification.eoa.component.intrface.rt.MessageModule#getNamespace()
     */
    @Override
    public String getNamespace() {
        return namespace;
    }

    /*
     * (non-Javadoc)
     * @see org.bluestemsoftware.specification.eoa.component.intrface.rt.MessageModule#toElement(org.w3c.dom.Document)
     */
    @Override
    public Element toElement(Document ownerDocument) {
        // TODO: implement
        return null;
    }
    
    /**
     * Converts an <code>Element</code> into a type specific instanceof
     * <code>WSMTOMMessageModule</code>.
     * 
     * @param element
     *        element instance to convert
     * @return
     */
    public static WSMTOMMessageModule valueOf(Element element) {
        // TODO: implement
        return null;
    }

    /*
     * (non-Javadoc)
     * @see org.bluestemsoftware.specification.eoa.component.intrface.rt.MessageModule#getType()
     */
    @Override
    public String getType() {
        return TYPE;
    }
    
}
