/**
 * Copyright 2008 Bluestem Software LLC
 *   
 * All Rights Reserved. Bluestem Software LLC licenses this file
 * to you under the Ext EOA Specification License Agreement [1]. You
 * may not use this file except in compliance with the License. You
 * may obtain a copy of the License at:
 * 
 * [1] http://alakai.org/licensing/specification-eoa-ext-license.html
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.bluestemsoftware.specification.eoa.ext.idl.wsdl.wsdl20;

import java.util.Map;
import java.util.Set;

import javax.xml.namespace.QName;

/**
 * Models a <code>WSDL</code> 2.0 'interface' element. Note that it is implementation's
 * responsibility to switch thread context classloader as required to/from
 * {@link WSDL20Factory} deployment classloader.
 */

public interface InterfaceElement extends DefinitionElement {

    public static final QName NAME = new QName(WSDL20Factory.WSDL_NS, "interface", WSDL20Factory.WSDL_NS_PREFIX);
    
    public void setName(String name) ;
    
    public String getName();
    
    public void setExtends(Set<QName> values);
    
    public Set<QName> getExtends();
    
    public void setStyleDefaults(Set<String> value);
    
    public Set<String> getStyleDefaults();
    
    public InterfaceFaultElement addFaultElement(InterfaceFaultElement faultElement);

    public Map<String, InterfaceFaultElement> getFaultElements() ;
    
    public InterfaceOperationElement addOperationElement(InterfaceOperationElement operationElement);

    public Map<String, InterfaceOperationElement> getOperationElements() ;
    
}
