/**
 * Copyright 2008 Bluestem Software LLC
 *   
 * All Rights Reserved. Bluestem Software LLC licenses this file
 * to you under the Ext EOA Specification License Agreement [1]. You
 * may not use this file except in compliance with the License. You
 * may obtain a copy of the License at:
 * 
 * [1] http://alakai.org/licensing/specification-eoa-ext-license.html
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.bluestemsoftware.specification.eoa.ext.idl.wsdl.wsdl20;

import java.util.List;
import java.util.Set;

import javax.xml.namespace.QName;

import org.w3c.dom.Element;

/**
 * Models a <code>WSDL</code> 2.0 interface 'operation' element. Note that it is
 * implementation's responsibility to switch thread context classloader as required to/from
 * {@link WSDL20Factory} deployment classloader.
 */

public interface InterfaceOperationElement extends Element {

    public static final QName NAME = new QName(WSDL20Factory.WSDL_NS, "operation", WSDL20Factory.WSDL_NS_PREFIX);

    public void setName(String name);

    public String getName();

    public void setPattern(String value);

    public String getPattern();

    public void setStyles(Set<String> values);

    public Set<String> getStyles();

    public boolean isSafe();

    public void setIsSafe(boolean isSafe);

    public InterfaceOperationInputElement addInputElement(InterfaceOperationInputElement inputElement);

    public List<InterfaceOperationInputElement> getInputElements();

    public InterfaceOperationOutputElement addOutputElement(InterfaceOperationOutputElement outputElement);

    public List<InterfaceOperationOutputElement> getOutputElements();

    public InterfaceOperationInfaultElement addInfaultElement(InterfaceOperationInfaultElement infaultElement);

    public List<InterfaceOperationInfaultElement> getInfaultElements();

    public InterfaceOperationOutfaultElement addOutfaultElement(InterfaceOperationOutfaultElement outfaultElement);

    public List<InterfaceOperationOutfaultElement> getOutfaultElements();

}
