/**
 * Copyright 2008 Bluestem Software LLC
 *   
 * All Rights Reserved. Bluestem Software LLC licenses this file
 * to you under the Ext EOA Specification License Agreement [1]. You
 * may not use this file except in compliance with the License. You
 * may obtain a copy of the License at:
 * 
 * [1] http://alakai.org/licensing/specification-eoa-ext-license.html
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.bluestemsoftware.specification.eoa.ext.schema.xs;

import org.bluestemsoftware.specification.eoa.component.types.rt.SchemaValidationException;



public final class XMLSchemaValidationException extends SchemaValidationException {

    private static final long serialVersionUID = 1L;
    
    /**
     * Constructor for the XMLSchemaValidationException object
     */
    public XMLSchemaValidationException() {
    }

    /**
     * Constructor for the XMLSchemaValidationException object
     * 
     * @param message
     *        Error description
     */
    public XMLSchemaValidationException(String message) {
        super(message);
    }

    /**
     * Constructor for the XMLSchemaValidationException object
     * 
     * @param t
     *        Throwable object
     */
    public XMLSchemaValidationException(Throwable t) {
        super(t);
    }

    /**
     * Constructor for the XMLSchemaValidationException object
     * 
     * @param message
     *        Error description
     * @param t
     *        Throwable object
     */
    public XMLSchemaValidationException(String message, Throwable t) {
        super(message, t);
    }

}
