/**
 * Copyright 2008 Bluestem Software LLC
 *   
 * All Rights Reserved. Bluestem Software LLC licenses this file
 * to you under the Ext EOA Specification License Agreement [1]. You
 * may not use this file except in compliance with the License. You
 * may obtain a copy of the License at:
 * 
 * [1] http://alakai.org/licensing/specification-eoa-ext-license.html
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.bluestemsoftware.specification.eoa.ext.server.standalone10;

import org.bluestemsoftware.specification.eoa.ext.ExtensionFactory;
import org.bluestemsoftware.specification.eoa.system.server.Server;

/**
 * A 'standalone' <code>Server</code> implementation.
 */
public abstract class StandaloneServer extends Server {

    public static final String TYPE = "http://bluestemsoftware.org/specification/eoa/ext/server/standalone/1.0/";
    public static final String PROVIDER_SCHEMA_LOCATION = "classpath:///schema/http.bluestemsoftware.org.specification.eoa.ext.server.standalone.1.0.xsd";
    
    public interface Provider extends Server.Provider {
    }
    
    public StandaloneServer(ExtensionFactory factory, Provider provider) {
        super(factory, provider);
    }
    
}
